class PDAKeyRed: Key
{
	Default
	{
		Inventory.PickupSound "Items/PDAPickUp";
		Inventory.PickupMessage "Picked up a PDA [Red Access].";
		Inventory.Icon "STKPDA2";
		Species "RedCard";
	}
	States
	{
	Spawn:
		RPDA A 10;
		RPDA B 10 Bright;
		loop;
	}
}

class PDAKeyYellow: Key
{
	Default
	{
		Inventory.PickupSound "Items/PDAPickUp";
		Inventory.PickupMessage "Picked up a PDA [Yellow Access].";
		Inventory.Icon "STKPDA1";
		Species "YellowCard";
	}
	States
	{
	Spawn:
		YPDA A 10;
		YPDA B 10 Bright;
		loop;
	}
}

class PDAKeyBlue: Key
{
	Default
	{
		Inventory.PickupSound "Items/PDAPickUp";
		Inventory.PickupMessage "Picked up a PDA [Blue Access].";
		Inventory.Icon "STKPDA0";
		Species "BlueCard";
	}
	States
	{
	Spawn:
		BPDA A 10;
		BPDA B 10 Bright;
		loop;
	}
}

class PDAKeyHandler : EventHandler
{
    override void CheckReplacement(ReplaceEvent e)
    {
		if(xd3_pdakeys == 1)
		{
			if (e.Replacee == 'RedCard')
			{
				e.Replacement = 'PDAKeyRed';
			}
			if (e.Replacee == 'YellowCard')
			{
				e.Replacement = 'PDAKeyYellow';
			}
			if (e.Replacee == 'BlueCard')
			{
				e.Replacement = 'PDAKeyBlue';
			}
		}
		
	}
}