Class XGZDoom3Weapon : DoomWeapon
{
	//===========================================================================
    //
    // New commands added for Xim-Doom3-weapons.pk3
    //
    // Credit Agent_Ash aka Jekyll Grim Payne and Boondorl
    //
    //===========================================================================
	
    //Changes ammo type
	Action Void SetAmmoType1(bool set, Class<Ammo> AmmoClass)
	{
		  If(set)
		  {
			 Invoker.AmmoType1 = AmmoClass;
			 Invoker.Ammo1 = Ammo(FindInventory(AmmoClass));
			 Return;
		  }
		  Invoker.Ammo1 = null;
	}
	
	Action Void SetAmmoType2(bool set, Class<Ammo> AmmoClass)
	{
		  If(set)
		  {
			 Invoker.AmmoType2 = AmmoClass;
			 Invoker.Ammo2 = Ammo(FindInventory(AmmoClass));
			 Return;
		  }
		  Invoker.Ammo2 = null;
	}
	
	//Changes ammo amount used
	Action Void SetAmmoUse1(bool set, int AmmoAmount)
	{
		int Ammo;
		  If(set)
		  {
			 let Ammo = AmmoAmount;
			 Invoker.AmmoUse1 = Ammo;
			 Return;
		  }
		  Invoker.AmmoUse1 = 0;
	}
	
	Action Void SetAmmoUse2(bool set, int AmmoAmount)
	{
		int Ammo;
		  If(set)
		  {
			 let Ammo = AmmoAmount;
			 Invoker.AmmoUse2 = Ammo;
			 Return;
		  }
		  Invoker.AmmoUse2 = 0;
	}
	
	//Action used for clearing weapon hold icons from the HUD
	Action Void ClearWeaponHold()
	{
		A_TakeInventory("XD3ChainsawInHand",1);
		A_TakeInventory("XD3PistolInHand",1);
		A_TakeInventory("XD3ShotgunInHand",1);
		A_TakeInventory("XD3SSGInHand",1);
		A_TakeInventory("XD3MachGunInHand",1);
		A_TakeInventory("XD3ChaingunInHand",1);
		A_TakeInventory("XD3GrenadeInHand",1);
		A_TakeInventory("XD3PlasmaInHand",1);
		A_TakeInventory("XD3RocketInHand",1);
		A_TakeInventory("XD3BFGInHand",1);
		A_TakeInventory("XD3SoulCubeInHand",1);
		A_TakeInventory("XD3ArtifactInHand",1);
		A_TakeInventory("XD3FistInHand",1);
	}
}